package com.jboss.datagrid.test.jpastore;

import org.infinispan.persistence.jpa.JpaStoreVehicleEntityTest;
import org.infinispan.persistence.spi.PersistenceException;
import org.testng.annotations.Test;

/**
 * @author vchepeli@redhat.com
 */
@Test(groups = "integration")
public class JpaStoreVehicleEntityWrapperIT extends AbstractJpaITWrapper<JpaStoreVehicleEntityTest> {

   private final JpaStoreVehicleEntityTest testClass;

   public JpaStoreVehicleEntityWrapperIT() {
      testClass = new JpaStoreVehicleEntityTest();
   }

   public void testLoadAndStoreImmortal() {
      testClass.testLoadAndStoreImmortal();
   }

   public void testPreload() throws Exception {
      testClass.testPreload();
   }

   public void testStoreAndRemoveAll() {
      testClass.testStoreAndRemoveAll();
   }

   @Test(expectedExceptions = PersistenceException.class)
   public void testStoreNoJpa() {
      testClass.testStoreNoJpa();
   }

   @Test(expectedExceptions = PersistenceException.class)
   public void testStoreWithJpaBadKey() {
      testClass.testStoreWithJpaBadKey();
   }

   public void testStoreWithJpaGoodKey() {
      testClass.testStoreWithJpaGoodKey();
   }

   @Override
   protected JpaStoreVehicleEntityTest getTestClass() {
      return testClass;
   }
}
