package com.jboss.datagrid.test.jpastore;

import org.infinispan.persistence.jpa.JpaStoreTest;
import org.testng.annotations.Test;

/**
 * @author vchepeli@redhat.com
 */
@Test(groups = "integration")
public class JpaStoreWrapperIT extends AbstractJpaITWrapper<JpaStoreTest> {

   private final JpaStoreTest testClass;

   public JpaStoreWrapperIT() {
      testClass = new JpaStoreTest();
   }

   public void testLoadAll() {
      testClass.testLoadAll();
   }

   public void testLoadAndStoreImmortal() {
      testClass.testLoadAndStoreImmortal();
   }

   public void testLoadAndStoreMarshalledValues() {
      testClass.testLoadAndStoreMarshalledValues();
   }

   public void testLoadAndStoreWithIdle() throws Exception {
      testClass.testLoadAndStoreWithIdle();
   }

   public void testLoadAndStoreWithLifespan() throws Exception {
      testClass.testLoadAndStoreWithLifespan();
   }

   public void testLoadAndStoreWithLifespanAndIdle() throws Exception {
      testClass.testLoadAndStoreWithLifespanAndIdle();
   }

   public void testPreload() throws Exception {
      testClass.testPreload();
   }

   public void testPurgeExpired() throws Exception {
      testClass.testPurgeExpired();
   }

   public void testReplaceExpiredEntry() throws Exception {
      testClass.testReplaceExpiredEntry();
   }

   public void testStopStartDoesNotNukeValues() throws Exception {
      testClass.testStopStartDoesNotNukeValues();
   }

   public void testStoreAndRemove() throws Exception {
      testClass.testStoreAndRemove();
   }

   @Override
   protected JpaStoreTest getTestClass() {
      return testClass;
   }
}
